Sync now
Run one pass reading the client's Meta ads from its Airbyte data now (about 3,000 ads; complete is false when more passes follow on the 5-minute schedule). Media copies, transcripts and analysis follow in the background. At most once every 10 minutes and 10 times per 24 hours per client; syncs also run after every Airbyte sync (daily for legacy datasets).
curl -X POST "https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://mythic-analytics.gulp.workers.dev/client/v1/creatives/sync?location_id=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"status": "ok",
"complete": true,
"counts": {},
"reason": "example_string",
"sync": {
"source_kind": "managed",
"source_project": "example_string",
"source_dataset": "example_string",
"source_synced_at": "2024-12-25T10:00:00Z",
"status": "ok",
"error": "example_string",
"last_synced_at": "2024-12-25T10:00:00Z",
"last_attempt_at": "2024-12-25T10:00:00Z",
"last_counts": {},
"consecutive_failures": 42,
"syncing": true,
"traversal": {
"started_at": "2024-12-25T10:00:00Z",
"rows": 42
},
"pipeline_enabled": true
}
}
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Conflict",
"message": "The request conflicts with the current state of the resource",
"code": 409,
"details": "Resource already exists"
}
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please try again later",
"code": 429,
"retryAfter": 3600
}
{
"error": "Error",
"message": "Error. The code names the cause, e.g. `feature_not_in_plan`, `agency_required`, `not_found`, `sync_throttled`, `sync_in_progress`, `no_meta_source`, `pipeline_disabled`.",
"code": 502
}
{
"error": "Service Unavailable",
"message": "The service is temporarily unavailable. Please try again later",
"code": 503
}
/client/v1/creatives/sync
Target server for requests. Edit to use your own host.
Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.
ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.
Query Parameters
Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.